<div fxLayout="row wrap">
    <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
        <mat-card>
            <mat-card-content>
                <form #searchForm="ngForm" fxLayout="row" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                    
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Nombre</mat-label>
                        <input matInput type="text" placeholder="Nombre del plan" id="nombre"
                            [(ngModel)]="search.nombre" name="nombre" #nombre="ngModel"
                            (keyup)="applyFilter(search.nombre)">
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Estado</mat-label>
                        <select matNativeControl name="estado" id="estado" #estado="ngModel" [(ngModel)]="search.estado"
                            (change)="applyFilter(search.estado)">
                            <option *ngFor="let tid of estados" [value]="tid">
                                {{tid}}
                            </option>
                        </select>
                    </mat-form-field>
                   
                </form>
                <div class="responsive-table">
                    <mat-table [dataSource]="dataSource" matSort>
                        <!-- Acciones Column -->
                        <ng-container matColumnDef="acciones">
                            <mat-header-cell *matHeaderCellDef> Acciones </mat-header-cell>
                            <mat-cell *matCellDef="let row">
                                <button mat-icon-button [routerLink]="['/plans/', row.id]">
                                    <mat-icon>edit</mat-icon>
                                </button>
                                <button mat-icon-button (click)="openConfirm('Delete',row.id)">
                                    <mat-icon>delete</mat-icon>
                                </button>
                            </mat-cell>
                        </ng-container>
                        <!-- Codigo Column -->
                        <ng-container matColumnDef="nombre">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.nombre}} </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="valor">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Valor </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.valor}} </mat-cell>
                        </ng-container>
                        <!-- fechaInicio Column -->
                        <ng-container matColumnDef="meses">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Meses </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.meses }} </mat-cell>
                        </ng-container>
                        <!-- fechaInicio Column -->
                        <ng-container matColumnDef="orden">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Orden </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.orden }} </mat-cell>
                        </ng-container>
                        <!-- fechaFin Column -->
                        <ng-container matColumnDef="estado">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Estado </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.estado}} </mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;">
                        </mat-row>
                    </mat-table>
                    <mat-paginator [pageSizeOptions]="[5, 90,5]"></mat-paginator>
                </div>
            </mat-card-content>
        </mat-card>
        <app-toolbar-button>
            <button mat-button routerLink="/plans/new" mat-flat-button color="primary">
                <mat-icon>add</mat-icon>
            </button>
        </app-toolbar-button>
    </div>
</div>

<div class="clearfix"></div>
